<?php

namespace App\Http\Controllers\Auth;

use App\Models\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Laravel\Socialite\Facades\Socialite;

class ProviderController extends Controller
{
    public function redirect($provider)
    {
        return Socialite::driver($provider)->redirect();
    }

    public function callback($provider)
    {
        $googleUser = Socialite::driver($provider)
            ->stateless()->user();

        $user = User::updateOrCreate([
            'google_id' => $googleUser->id
        ], [
            'name' => $googleUser->name,
            'email' => $googleUser->email,
            'password' => 'password',
            'picture' => $googleUser->avatar,
            'google_id' => $googleUser->id
        ]);

        Auth::login($user);

        return redirect('/');
    }
}