<?php

namespace Database\Factories;

use App\Models\User;
use App\Models\BlogPost;
use Illuminate\Database\Eloquent\Factories\Factory;

class PostCommentFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $postId = BlogPost::all()->random()->id;
        $userId = User::all()->random()->id;

        return [
            'blog_post_id' => $postId,
            'description' => $this->faker->sentence(6),
            'post_image' => $this->faker->imageUrl(),
            'date' => now(),
            'status' => 1,
            'created_by' => $userId,
            'updated_by' => $userId,
            'valid' => 0
        ];
    }
}
