<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('post_comments', function (Blueprint $table) {
            $table->id();
            $table->foreignId('blog_post_id')
                ->constrained('blog_posts')
                ->onUpdate('cascade')
                ->onDelete('cascade');
            $table->integer('parent_id')->default(0);
            $table->integer('child_id')->default(0);
            $table->longText('description')->nullable();
            $table->text('post_image')->nullable();
            $table->text('post_video_link')->nullable();
            $table->dateTime('date', $precision = 0);
            $table->boolean('status')->comment('1 = Active | 0 = Inactive');
            $table->foreignIdFor(\App\Models\User::class, 'created_by');
            $table->foreignIdFor(\App\Models\User::class, 'updated_by')->nullable();
            $table->foreignIdFor(\App\Models\User::class, 'deleted_by')->nullable();
            $table->softDeletes($column = 'deleted_at', $precision = 0);
            $table->timestamps();
            $table->boolean('valid')->comment('1 = Active | 0 = Inactive');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('post_comments');
    }
};
