<?php

namespace Database\Seeders;

use Faker\Factory;
use App\Models\User;
use App\Models\Relationship;
use Illuminate\Database\Seeder;
use App\Models\RelationshipType;

class RelationshipSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $faker = Factory::create();
        $users = User::query()->select('id')->get();

        foreach ($users as $user) {
            Relationship::create([
                'user_id' => $user->id,
                'relationship_type_id' => RelationshipType::all()->random()->id,
                'name' => $faker->company,
                'status' => 1,
                'created_by' => $user->id,
                'updated_by' => $user->id,
                'valid' => 0
            ]);
        }
    }
}
