import defaultTheme from 'tailwindcss/defaultTheme';
import forms from '@tailwindcss/forms';

/** @type {import('tailwindcss').Config} */
export default {
    content: [
        './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
        './storage/framework/views/*.php',
        './resources/views/**/*.blade.php',
        './resources/js/**/*.vue',
        './node_modules/flowbite/**/*.js'
    ],

    theme: {
        screens: {
            sm: '480px',
            md: '768px',
            lg: '976px',
            xl: '1440px',
        },
        extend: {
            colors: {
                primary: 'rgb(214, 182, 109)',
                primaryLight: 'rgb(204, 172, 98)',
                dark: 'rgb(71, 71, 71)',
                light: 'rgb(134, 134, 134)',
                whiteLight: 'rgb(250,250,250)'
            },
            fontFamily: {
                sans: ['Poppins', 'sans-serif']
            },
            backgroundImage: {
                'banner-image': "url('https://assets.weremember.com/image/upload/f_auto,q_auto:eco/v1578585417/weremember-images/bannerHomeGrayFaded.png')",
                'banner-pattern': "linear-gradient(180deg,rgba(248,248,248,.0001) 0%,#fafafa 82.06%)"
            }
        },
    },
    plugins: [
        forms,
        require('flowbite/plugin')
    ],
};
